#! /usr/bin/env python

from openturns import *

TESTPREAMBLE()
RandomGenerator().SetSeed(0)

try :
    distribution = ClaytonCopula(1.5)
    size = 1000
    sample = distribution.getSample(size)
    factory = ClaytonCopulaFactory()
    estimatedDistribution = factory.build(sample)
    print "distribution=", repr(distribution)
    print "Estimated distribution=", repr(estimatedDistribution)

except :
    import sys
    print "t_ClaytonFactory.py", sys.exc_type, sys.exc_value
